@charset "utf-8";

/* home */
img.home_logo, div.home_logo {
    width: 100%;
    position: relative;
    left: 0px;
    top: 0px;
}

.home_text {
    transition-duration: 0.4s;
    color: white;
    text-shadow: 0px 0px 4px black;
    z-index: 100;
    position: absolute;
    left: 0;
    width: 100%;
    text-align: center;
}

.big_crunch {
    width: 66%;
    margin: 0 auto;
}

.top-buffer {
    margin-top: 12px;
}

.bottom-buffer {
    margin-bottom: 12px;
}

.left-buffer {
    margin-left: 12px;
}

.top-buffer-lg {
    margin-top: 40px;
}

.bottom-buffer-lg {
    margin-bottom: 40px;
}

.left-buffer-lg {
    margin-left: 40px;
}

.separator {
    width: 100%;
    margin-top: 100px;
}

textarea.no-bottom-padding {
    padding: 1rem 0 0rem 0;
}

@media screen and (max-width: 768px) {
    h2.home_text {
        top: 25%;
        font-size: 20px;
    }

    h3.home_text {
        top: 40%;
        font-size: 15px;
    }

    .font-sm {
        font-size: 0.7rem !important;
    }
}

@media screen and (min-width: 768px) {
    h2.home_text {
        top: 35%;
        font-size: 40px;
    }

    h3.home_text {
        top: 45%;
        font-size: 30px;
    }

    .font-sm {
        font-size: 0.8rem !important;
    }
}

/* Workaround for chromes broken bootstrap 4 cols */
.chrome-fixed-col {
    width: 100px;
}

.centered-3-digits {
    width: 40px;
    margin: 0 auto;
    float: none;
}

.center-text {
    text-align: center;
}

/* Vertical center checkboxes in lists */
.checkbox-label-vertical-centered {
    padding-top: 15px;
}

/* Increase fontsize of small text inputs */
input[type="text"].form-control-sm {
    font-size: 1rem !important;
}

/* Hide overflowing text */
.table td.changelog-cell {
    max-width: 200px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
/* Show overflown text on hover */
.table td.changelog-cell:hover {
    white-space: normal;
    overflow: visible;
}

/* Module upload/edit modal width */
.custom-modal-width {
    max-width: 50%;
}

/* Ensure the textarea is resizable */
textarea {
    resize: vertical;
    width: 100%;        /* Ensure it takes full width */
    box-sizing: border-box; /* Ensure padding and border are included in width */
}

/* Hide element */
.hidden {
    display: none !important;
}

/* Set product image size */
img.product-image {
    max-height: 300px;
    max-width: 300px;
    height: auto;
    width: auto;
}

/* Set product image border */
div.product-image-box {
    border: 2px;
    border-color: #dee2e6;
    border-style: solid;
    padding: 3px;
    border-radius: 5px;
    margin-right: 6px;
    margin-bottom: 6px;
}
